#ifndef _ADI_BCEA_H_
#define _ADI_BCEA_H_

/* disable misra diagnostics as necessary */
#ifdef _MISRA_RULES
#pragma diag(push)
#include <services/services_misra_suppress.h>
#endif /* _MISRA_RULES */

#include <drivers/ethernet/ADI_ETHER.h>

enum {										/* Command IDs	*/
	ADI_ETHER_BCE_CMD_FIRST=ADI_ETHER_CMD_SPECIFIC_START,	/* insure this order remains	*/
};

enum {										/* Events	*/
	ADI_ETHER_EVENT_BCEA_FIRST=ADI_ETHER_EVENT_SPECIFIC_START
};

enum {								/* Return codes	*/
	ADI_ETHER_BCEA_RESULT_START=ADI_ETHER_RESULT_SPECIFIC_START
};

extern ADI_DEV_PDD_ENTRY_POINT ADI_ETHER_BCEA_Entrypoint;		/* entry point to the device driver	*/

#ifdef _MISRA_RULES
#pragma diag(pop)
#endif /* _MISRA_RULES */

#endif
