#ifndef FPGA_IRQ_H
#define FPGA_IRQ_H

#define FIRQ_BCEA_TX	0
#define FIRQ_BCEA_RX	1
#define FIRQ_BCEA_LINK	2
#define FIRQ_STIM		3

typedef void (*firq_handler)(u8 irq, void *ptr);

unsigned char firq_get_status(void);
void firq_enable(u8 irq);
void firq_disable(u8 irq);
void firq_set_handler(unsigned char irq, firq_handler handler, void *ptr);

#endif
