module xram32x16 (clk, we, wa, wd, ra, rd);

input clk;
input we;
input [4:0] wa;
input [15:0] wd;

input [4:0] ra;
output [15:0] rd;

RAM32M ram0 (.WCLK(clk), .WE(we),
    .ADDRA(ra[4:0]), .ADDRB(ra[4:0]), .ADDRC(ra[4:0]), .ADDRD(wa[4:0]),
    .DIA(wd[1:0]), .DIB(wd[3:2]), .DIC(wd[5:4]), .DID(2'b00),
    .DOA(rd[1:0]), .DOB(rd[3:2]), .DOC(rd[5:4]), .DOD());
RAM32M ram1 (.WCLK(clk), .WE(we),
    .ADDRA(ra[4:0]), .ADDRB(ra[4:0]), .ADDRC(ra[4:0]), .ADDRD(wa[4:0]),
    .DIA(wd[7:6]), .DIB(wd[9:8]), .DIC(wd[11:10]), .DID(2'b00),
    .DOA(rd[7:6]), .DOB(rd[9:8]), .DOC(rd[11:10]), .DOD());
RAM32M ram2 (.WCLK(clk), .WE(we),
    .ADDRA(ra[4:0]), .ADDRB(ra[4:0]), .ADDRC(ra[4:0]), .ADDRD(wa[4:0]),
    .DIA(wd[13:12]), .DIB(wd[15:14]), .DIC(2'b00), .DID(2'b00),
    .DOA(rd[13:12]), .DOB(rd[15:14]), .DOC(), .DOD());

endmodule
