module xram8x8 (clk, we, wa, wd, ra, rd);

input clk;
input we;
input [2:0] wa;
input [7:0] wd;

input [2:0] ra;
output [7:0] rd;

RAM32M ram0 (.WCLK(clk), .WE(we),
    .ADDRA({2'b00,ra[2:0]}), .ADDRB({2'b00,ra[2:0]}), .ADDRC({2'b00,ra[2:0]}), .ADDRD({2'b00,wa[2:0]}),
    .DIA(wd[1:0]), .DIB(wd[3:2]), .DIC(wd[5:4]), .DID(2'b00),
    .DOA(rd[1:0]), .DOB(rd[3:2]), .DOC(rd[5:4]), .DOD());
RAM32M ram1 (.WCLK(clk), .WE(we),
    .ADDRA({2'b00,ra[2:0]}), .ADDRB({2'b00,ra[2:0]}), .ADDRC({2'b00,ra[2:0]}), .ADDRD({2'b00,wa[2:0]}),
    .DIA(wd[7:6]), .DIB(2'b00), .DIC(2'b00), .DID(2'b00),
    .DOA(rd[7:6]), .DOB(), .DOC(), .DOD());

endmodule
