#ifndef __INCLUDE_EMAC_H__
#define __INCLUDE_EMAC_H__

#define pEMAC_TX_START   ((volatile unsigned *)0x20000000)
#define pEMAC_TX_LEN     ((volatile unsigned *)0x20000004)
#define EMAC_TX_LAST     0x80000000
#define pEMAC_TX_COMMIT  ((volatile unsigned *)0x20000008)
#define pEMAC_TX_FREE    ((volatile unsigned *)0x2000000C)
#define pEMAC_RX_POLL    ((volatile unsigned *)0x20002000)
#define pEMAC_RX_ACK     ((volatile unsigned *)0x20002004)
#define pEMAC_RX_MACL    ((volatile unsigned *)0x20002008)
#define pEMAC_RX_STAT    ((volatile unsigned *)0x20002008)
#define pEMAC_RX_MACH    ((volatile unsigned *)0x2000200C)
#define pEMAC_RX_DATA(d) ((volatile unsigned *)(0x20004000+(d)))
#define EMAC_RXEN        0x80000000
#define EMAC_PROMISC     0x40000000

#define EMAC_RXSTAT_ID(x) ((x) >> 8)
#define EMAC_RXSTAT_UP	  (1)

#define EMAC_RXSTAT_SPD_MSK 0x6
#define EMAC_RXSTAT_SPD_1000	0
#define EMAC_RXSTAT_SPD_100		4
#define EMAC_RXSTAT_SPD_10		6

#define EMAC_RXSTAT_FDX			0x8

#endif // __INCLUDE_EMAC_H__
