/* MANAGED-BY-SYSTEM-BUILDER                                    */
/* VisualDSP++ 5.0 Update 10                                    */
/* LDF Printer version: 5.9.0.1                                 */
/* ldfgen.exe version: 5.9.0.1                                  */
/* VDSG version: 5.9.0.1                                        */

/*
** CPLB table definitions for coreB generated on Dec 26, 2011 at 08:04:45.
**
** Copyright (C) 2000-2010 Analog Devices Inc., All Rights Reserved.
**
** This file is generated automatically based upon the options selected
** in the LDF Wizard. Changes to the LDF configuration should be made by
** changing the appropriate options rather than editing this file.
**
** Configuration:-
**     crt_doj:                                Idle_CoreB_basiccrt.doj
**     processor:                              ADSP-BF561
**     product_name:                           VisualDSP++ 5.0 Update 10
**     si_revision:                            0.5
**     default_silicon_revision_from_archdef:  0.5
**     cplb_init_cplb_ctrl:                    127
**     cplb_init_dcache_ctrl:                  dcache_wt
**     cplb_init_cplb_src_file:                D:\Projects\BigCamera\CameraApp\CoreB\Idle_CoreB_cplbtab.c
**     cplb_init_cplb_obj_file:                Idle_CoreB_cplbtab.doj
**     using_cplusplus:                        true
**     mem_init:                               false
**     use_vdk:                                false
**     use_mt:                                 false
**     use_eh:                                 true
**     use_argv:                               false
**     running_from_internal_memory:           true
**     user_heap_src_file:                     D:\Projects\BigCamera\CameraApp\CoreB\Idle_CoreB_heaptab.c
**     libraries_use_stdlib:                   true
**     libraries_use_fileio_libs:              false
**     libraries_use_ieeefp_emulation_libs:    false
**     libraries_use_eh_enabled_libs:          false
**     libraries_use_fixed_point_io_libs:      false
**     libraries_use_utility_rom:              true
**     detect_stackoverflow:                   false
**     system_heap:                            L3
**     system_heap_min_size:                   2M
**     system_stack:                           SCRATCHPAD
**     system_stack_min_size:                  1k
**     use_sdram:                              true
**     use_sdram_size:                         64MB
**     use_sdram_partitioned:                  default
**     use_multicores:                         2
**     use_multicores_use_core:                coreB
**
*/


#ifdef _MISRA_RULES
#pragma diag(push)
#pragma diag(suppress:misra_rule_2_2)
#pragma diag(suppress:misra_rule_8_10)
#pragma diag(suppress:misra_rule_10_1_a)
#endif /* _MISRA_RULES */



#define CACHE_MEM_MODE (CPLB_DDOCACHE_WT)



#include <sys/platform.h>
#include <cplbtab.h>

#pragma section("cplb_data")
#pragma file_attr("DualCoreMem=CoreB")

cplb_entry dcplbs_table[] = {


/*$VDSG<customizable-data-cplb-table>                           */
/* This code is preserved if the CPLB tables are re-generated.  */


   // L1 Data A & B, (set write-through bit to avoid 1st write exceptions)
   {0xFF400000, (PAGE_SIZE_4MB | CPLB_DNOCACHE | CPLB_LOCK | CPLB_WT)}, 

   // 512 MB (Maximum) SDRAM memory space (64 MB populated on Ez-kit)
   
   // CPLBs covering 32MB
   {0x02000000, (PAGE_SIZE_1MB | CACHE_MEM_MODE | CPLB_DIRTY | CPLB_LOCK)},
   {0x02100000, (PAGE_SIZE_1MB | CACHE_MEM_MODE | CPLB_DIRTY | CPLB_LOCK)},
   {0x02200000, (PAGE_SIZE_1MB | CACHE_MEM_MODE | CPLB_DIRTY | CPLB_LOCK)},
   {0x02300000, (PAGE_SIZE_1MB | CACHE_MEM_MODE | CPLB_DIRTY | CPLB_LOCK)},
   {0x02400000, (PAGE_SIZE_1MB | CACHE_MEM_MODE | CPLB_DIRTY | CPLB_LOCK)},
   {0x02500000, (PAGE_SIZE_1MB | CACHE_MEM_MODE | CPLB_DIRTY | CPLB_LOCK)},
   {0x02600000, (PAGE_SIZE_1MB | CACHE_MEM_MODE | CPLB_DIRTY | CPLB_LOCK)},
   {0x02700000, (PAGE_SIZE_1MB | CACHE_MEM_MODE | CPLB_DIRTY | CPLB_LOCK)},
   {0x02800000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},
   {0x02900000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},
   {0x02a00000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},
   {0x02b00000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},
   {0x02c00000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},
   {0x02d00000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},
   {0x02e00000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},
   {0x02f00000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},
   {0x03000000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},
   {0x03100000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},
   {0x03200000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},
   {0x03300000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},
   {0x03400000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},
   {0x03500000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},
   {0x03600000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},
   {0x03700000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},
   {0x03800000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},
   {0x03900000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},
   {0x03a00000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},
   {0x03b00000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},
   {0x03c00000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},
   {0x03d00000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},
   {0x03e00000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},
   {0x03f00000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)},

   // L2 SRAM
   {0xFEB00000, (PAGE_SIZE_4KB | CPLB_D_PAGE_MGMT | CPLB_WT)}, 
   {0xFEB01000, (PAGE_SIZE_4KB | CACHE_MEM_MODE)}, 
   {0xFEB02000, (PAGE_SIZE_4KB | CACHE_MEM_MODE)}, 
   {0xFEB03000, (PAGE_SIZE_4KB | CACHE_MEM_MODE)}, 
   {0xFEB04000, (PAGE_SIZE_4KB | CACHE_MEM_MODE)}, 
   {0xFEB05000, (PAGE_SIZE_4KB | CACHE_MEM_MODE)}, 
   {0xFEB06000, (PAGE_SIZE_4KB | CACHE_MEM_MODE)}, 
   {0xFEB07000, (PAGE_SIZE_4KB | CACHE_MEM_MODE)}, 
   {0xFEB08000, (PAGE_SIZE_4KB | CACHE_MEM_MODE)}, 
   {0xFEB09000, (PAGE_SIZE_4KB | CACHE_MEM_MODE)}, 
   {0xFEB0a000, (PAGE_SIZE_4KB | CACHE_MEM_MODE)}, 
   {0xFEB0b000, (PAGE_SIZE_4KB | CACHE_MEM_MODE)}, 
   {0xFEB0c000, (PAGE_SIZE_4KB | CACHE_MEM_MODE)}, 
   {0xFEB0d000, (PAGE_SIZE_4KB | CACHE_MEM_MODE)}, 
   {0xFEB0e000, (PAGE_SIZE_4KB | CACHE_MEM_MODE)}, 
   {0xFEB0f000, (PAGE_SIZE_4KB | CACHE_MEM_MODE)}, 

   // L2 SRAM, disabling cache for memory that may contain shared data
   {0xFEB10000, (PAGE_SIZE_4KB | CPLB_DNOCACHE)}, 
   {0xFEB11000, (PAGE_SIZE_4KB | CPLB_DNOCACHE)}, 
   {0xFEB12000, (PAGE_SIZE_4KB | CPLB_DNOCACHE)}, 
   {0xFEB13000, (PAGE_SIZE_4KB | CPLB_DNOCACHE)}, 
   {0xFEB14000, (PAGE_SIZE_4KB | CPLB_DNOCACHE)}, 
   {0xFEB15000, (PAGE_SIZE_4KB | CPLB_DNOCACHE)}, 
   {0xFEB16000, (PAGE_SIZE_4KB | CPLB_DNOCACHE)}, 
   {0xFEB17000, (PAGE_SIZE_4KB | CPLB_DNOCACHE)}, 
   {0xFEB18000, (PAGE_SIZE_4KB | CPLB_DNOCACHE)}, 
   {0xFEB19000, (PAGE_SIZE_4KB | CPLB_DNOCACHE)}, 
   {0xFEB1a000, (PAGE_SIZE_4KB | CPLB_DNOCACHE)}, 
   {0xFEB1b000, (PAGE_SIZE_4KB | CPLB_DNOCACHE)}, 
   {0xFEB1c000, (PAGE_SIZE_4KB | CPLB_DNOCACHE)}, 
   {0xFEB1d000, (PAGE_SIZE_4KB | CPLB_DNOCACHE)}, 
   {0xFEB1e000, (PAGE_SIZE_4KB | CPLB_DNOCACHE)}, 
   {0xFEB1f000, (PAGE_SIZE_4KB | CPLB_DNOCACHE)}, 

   // Async Memory Bank 2 (Second)
   // Async Memory Bank 1 (Prim B)
   // Async Memory Bank 0 (Prim A) 
   {0x20200000, (PAGE_SIZE_1MB | CPLB_DNOCACHE)}, 
   {0x20100000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)}, 
   {0x20000000, (PAGE_SIZE_1MB | CPLB_DNOCACHE)}, 

   // Async Memory Bank 3 (64MB)
   
   // CPLBs covering 64MB
   {0x2c000000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x2c400000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x2c800000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x2cc00000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x2d000000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x2d400000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x2d800000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x2dc00000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x2e000000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x2e400000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x2e800000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x2ec00000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x2f000000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x2f400000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x2f800000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x2fc00000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},

   // Async Memory Bank 2 (64MB)
   
   // CPLBs covering 64MB
   {0x28000000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x28400000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x28800000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x28c00000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x29000000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x29400000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x29800000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x29c00000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x2a000000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x2a400000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x2a800000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x2ac00000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x2b000000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x2b400000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x2b800000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x2bc00000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},

   // Async Memory Bank 1 (64MB)
   
   // CPLBs covering 64MB
   {0x24000000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x24400000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x24800000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x24c00000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x25000000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x25400000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x25800000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x25c00000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x26000000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x26400000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x26800000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x26c00000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x27000000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x27400000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x27800000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x27c00000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},

   // Async Memory Bank 0 (64MB)
   {0x20300000, (PAGE_SIZE_1MB | CACHE_MEM_MODE)}, 
   
   // CPLBs covering 60MB
   {0x20400000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x20800000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x20c00000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x21000000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x21400000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x21800000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x21c00000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x22000000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x22400000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x22800000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x22c00000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x23000000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x23400000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x23800000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},
   {0x23c00000, (PAGE_SIZE_4MB | CACHE_MEM_MODE)},

   // end of section - termination
   {0xffffffff, 0}, 
/*$VDSG<customizable-data-cplb-table>                           */


}; /* dcplbs_table */

#pragma section("cplb_data")
#pragma file_attr("DualCoreMem=CoreB")

cplb_entry icplbs_table[] = {


/*$VDSG<customizable-instr-cplb-table>                          */
/* This code is preserved if the CPLB tables are re-generated.  */


   // L1 Code
   {0xFF600000, (PAGE_SIZE_1MB | CPLB_I_PAGE_MGMT)}, 

   // L2 SRAM
   {0xFEB00000, (PAGE_SIZE_1MB | CPLB_IDOCACHE)}, 

   // Boot ROM
   {0xEF000000, (PAGE_SIZE_1KB | CPLB_I_PAGE_MGMT)}, 

   // Async Memory Bank 0
   {0x20000000, (PAGE_SIZE_1MB | CPLB_IDOCACHE)}, 

   // 512 MB (Maximum) SDRAM memory space (64 MB populated on Ez-kit)
   
   // CPLBs covering 64MB
   {0x00000000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x00400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x00800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x00c00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x01000000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x01400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x01800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x01c00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x02000000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x02400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x02800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x02c00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x03000000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x03400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x03800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x03c00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},

   // Async Memory Bank 3 (64MB)
   
   // CPLBs covering 64MB
   {0x2c000000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x2c400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x2c800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x2cc00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x2d000000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x2d400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x2d800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x2dc00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x2e000000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x2e400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x2e800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x2ec00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x2f000000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x2f400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x2f800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x2fc00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},

   // Async Memory Bank 2 (64MB)
   
   // CPLBs covering 64MB
   {0x28000000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x28400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x28800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x28c00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x29000000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x29400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x29800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x29c00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x2a000000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x2a400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x2a800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x2ac00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x2b000000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x2b400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x2b800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x2bc00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},

   // Async Memory Bank 1 (64MB)
   
   // CPLBs covering 64MB
   {0x24000000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x24400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x24800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x24c00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x25000000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x25400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x25800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x25c00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x26000000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x26400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x26800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x26c00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x27000000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x27400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x27800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x27c00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},

   // Async Memory Bank 0 (64MB)
   {0x20100000, (PAGE_SIZE_1MB | CPLB_IDOCACHE)}, 
   {0x20200000, (PAGE_SIZE_1MB | CPLB_IDOCACHE)}, 
   {0x20300000, (PAGE_SIZE_1MB | CPLB_IDOCACHE)}, 
   
   // CPLBs covering 60MB
   {0x20400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x20800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x20c00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x21000000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x21400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x21800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x21c00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x22000000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x22400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x22800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x22c00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x23000000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x23400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x23800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},
   {0x23c00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE)},

   // end of section - termination
   {0xffffffff, 0}, 
/*$VDSG<customizable-instr-cplb-table>                          */


}; /* icplbs_table */



#ifdef _MISRA_RULES
#pragma diag(pop)
#endif /* _MISRA_RULES */


