#ifndef __INCLUDE_BCEA_HW_H__
#define __INCLUDE_BCEA_HW_H__

#define pBCEA_TX_START   ((volatile unsigned *)0x20000000)
#define pBCEA_TX_LEN     ((volatile unsigned *)0x20000004)
#define BCEA_TX_LAST     0x80000000
#define pBCEA_TX_COMMIT  ((volatile unsigned *)0x20000008)
#define pBCEA_TX_FREE    ((volatile unsigned *)0x2000000C)
#define pBCEA_RX_POLL    ((volatile unsigned *)0x20002000)
#define pBCEA_RX_ACK     ((volatile unsigned *)0x20002004)
#define pBCEA_RX_MACL    ((volatile unsigned *)0x20002008)
#define pBCEA_RX_STAT    ((volatile unsigned *)0x20002008)
#define pBCEA_RX_MACH    ((volatile unsigned *)0x2000200C)
#define pBCEA_RX_LINK    ((volatile unsigned *)0x20002010)
#define pBCEA_RX_DATA(d) ((volatile unsigned *)(0x20004000+(d)))
#define BCEA_RXEN        0x80000000
#define BCEA_PROMISC     0x40000000

#define BCEA_RXSTAT_ID(x) ((x) >> 8)
#define BCEA_RXSTAT_UP	  (1)

#define BCEA_RXSTAT_SPD_MSK 0x6
#define BCEA_RXSTAT_SPD_1000	0
#define BCEA_RXSTAT_SPD_100		4
#define BCEA_RXSTAT_SPD_10		6

#define BCEA_RXSTAT_FDX			0x8

#endif
