#ifndef CPU_SPI_H
#define CPU_SPI_H

void local_flag_setup(void);

unsigned flash_spi_flash_query(void);
void flash_spi_unprotect(void);
int flash_spi_64k_erase(unsigned base);
int flash_spi_256b_write(unsigned base, unsigned char *buf);
int flash_spi_verify(unsigned base, unsigned len, unsigned char *data);
void flash_spi_readid(unsigned len, unsigned char *data);

#endif
